vBulletin LTS

РУС | ENG

vBulletin LTS is a Long-term Support project to extend the lifecycle of the vBulletin 3 and 4 forum engines, which are no longer officially supported.

LTS for vBulletin provides:
  • Support for new php versions
  • Support for new database versions
  • Security updates
  • Bug fixes and improvements
LTS project also provides limited support for third-party vBulletin plugins (extensions).

vBulletin 3 LTS

Latest vBulletin LTS release: 3.8.12 (works on php 5.6-7.1, php 7.2-7.4)
This LTS release updates the latest official version 3.8.11.
What's new in the 3.8.12 LTS release:

  • Works on php versions 7.2-7.4 (php 5.6-7.1 is supported too)
  • Fixed default templates to work with new php versions
  • Fixed some vBulletin bugs

Next vBulletin LTS 3.8.13 (3.9.0) release will work on php 7.x-8.x only. In this version a number of the vBulletin old bugs not related to a php version are fixed too.

vBulletin 4 LTS

Latest vBulletin LTS release: 4.2.6 (works on php 5.6-7.1, php 7.2-7.4)
This LTS release updates the latest official version 4.2.5.
What's new in the 4.2.6 LTS release:

  • Works on php versions 7.2-7.4 (php 5.6-7.1 is supported too)
  • Fixed default templates to work with new php versions
  • Fixed some vBulletin bugs

Next vBulletin LTS 4.2.7 (4.3.0) release will work on php 7.x-8.x only.

Download

Please read FAQ and write me.

FAQ

Q. Can I get the latest official releases of vBulletin 3.8.11 and 4.2.5 here?
A. No. I do not distrubute any official vBulletin releases. I provide LTS support for the vBulletin forums.

Q. Is there a demo of the vBulletin LTS forum?
A. Yes.

Q. Do I need to have a vBulletin license to get LTS updates?
A. I welcome the using of licensed software, but I cannot verify that you have a valid vBulletin license.

Q. What vBulletin versions is supported by LTS?
A. LTS support can be provided for the latest official releases of vBulletin 3 (3.8.11) and vBulletin 4 (4.2.5). If you are using any of the previous versions, you have to upgrade the forum to the latest official release. LTS support can also be provided for the forums with unofficial updates installed over the last official releases.

В. Is it possible to apply the LTS update to a forum that already has some other third-party vBulletin update installed?
О. Yes. But we need to first check the compatibility of LTS with your forum.

Q. Are LTS updates enough for my forum to work on new php versions?
A. Yes. But If your forum has installed third party plugins for vBulletin and/or has changes to the standard vBulletin templates, it may be necessary to fix third party plugins or modified templates. A list of installed plugins and modified default templates can be viewed in the vBulletin admin console.

Q. Can I get the fixes from LTS for my forum templates and third party plugins that are incompatible with the version of php/database installed?
A. Yes.

Q. How do you develop vBulletin LTS for new php versions?
A. I test all the forum functions in all modes (there are a lot of them) using the latest version of PHP. Then I fix all levels' errors and warnings. And then I perform regression testing to verify the changes.

Q. When will the next version of vBulletin LTS be released?
A. PHP 8 support for vBulletin 3 and 4 are very big projects. Active development is started in December 2022. Currently php 8 support for vBulletin 3 is at the final stage. Please follow News section to be informed.

Q. How can I get vBulletin LTS support?
A. Write me the email with url of your forum. Your email address should be from the same domain as your forum.

About

I am a qualified developer having 20 years' experience working with vBulletin forums as an owner, administrator, and programmer. All LTS updates are released after extensive testing and bug fixing.

Contacts

You can contact me by email but I process only inquiries from the forums' owners. Your email address should be from the same domain as your forum. For example, if your forum's url is http://myforum.com or http://myforum.com/forum, your return email address should be like something@myforum.com.


This website has no relation to "MH Sub I, LLC dba vBulletin" which owns all rights to vBulletin®

vBulletin LTS updates are provided "as is", without warranty of any kind, express or implied, including but not limited to the warranties of merchantability, fitness for a particular purpose and noninfringement. In no event shall the authors or copyright holders be liable for any claim, damages or other liability, whether in an action of contract, tort or otherwise, arising from, out of or in connection with the software or the use or other dealings in the software.